gtkunixprint.Printer
Prev | The gtkunixprint Class Reference | Next

## gtkunixprint.Printer

gtkunixprint.Printer — an object representing a print in Unix (new in PyGTK 2.10)

## Synopsis

    class gtkunixprint.Printer(gobject.GObject):
        def get_name()
        def get_state_message()
        def get_capabilities()
        def get_description()
        def get_location()
        def get_icon_name()
        def get_job_count()
        def has_details()
        def request_details()
        def is_accepting_jobs()
        def is_active()
        def is_default()
        def is_paused()
        def is_virtual()
        def compare(b)
        def accepts_pdf()
        def accepts_ps()

## Ancestry

    +-- gobject.GObject
      +-- gtkunixprint.Printer

## gtkunixprint.Printer Properties

"accepting-jobs" | Read | This property is `True` if the printer is accepting jobs. Default value: `True`. Available in GTK+ 2.14.
"accepts-ps" | Read-Write-Construct Only | if `True` this printer can accept PostScript. Available in GTK+ 2.10.
"accepts-ps" | Read-Write-Construct Only | if `True` this printer can accept PostScript. Available in GTK+ 2.10.
"backend" | Read-Write-Construct Only | The backend for the printer. Not currently useful in PyGTK. Available in GTK+ 2.10.
"icon-name" | Read | The icon name to use for the printer. Default value: `None`. Available in GTK+ 2.10.
"is-virtual" | Read-Write | if `False` this represents a real hardware printer. Default value: `False`. Available in GTK+ 2.10.
"job-count" | Read | The number of jobs queued in the printer. Allowed values: >= 0. Default value: 0. Available in GTK+ 2.10.
"location" | Read | The location of the printer. Default value: `None`. Available in GTK+ 2.10.
"name" | Read-Write-Construct Only | The name of the printer. Default value: `None`. Available in GTK+ 2.10.
"paused" | Read | This property is `True` if this printer is paused. A paused printer still accepts jobs, but it does not print them. Default value: `False` Available in GTK+ 2.14.
"state-message" | Read | A string giving the current state of the printer. Default value: `None`. Available in GTK+ 2.10.

## gtkunixprint.Printer Signal Prototypes

gobject.GObject Signal Prototypes

"details-acquired" | `def callback(`printer`, `success`, `user_param1`, `...`)`

## Description

### Note

This class is available in PyGTK 2.10 and above.

A `gtkunixprint.Printer` object represents a printer. You only need to deal directly with printers if you use the non-portable `gtkunixprint.PrintUnixDialog` API.

A `gtkunixprint.Printer` allows you to get status information about the printer, such as its description, its location, the number of queued jobs, etc. Most importantly, a `gtkunixprint.Printer` object can be used to create a `gtkunixprint.PrintJob` object, that lets you print to the printer.

## Methods

### gtkunixprint.Printer.get_name

        def get_name()

Returns : | the name of the printer

### Note

This method is available in PyGTK 2.10 and above.

The `get_name`() method returns the name of the printer.

### gtkunixprint.Printer.get_state_message

        def get_state_message()

Returns : | the state message of the printer

### Note

This method is available in PyGTK 2.10 and above.

The `get_state_message`() method returns the state message describing the current state of the printer.

### gtkunixprint.Printer.get_description

        def get_description()

Returns : | the description of the printer

### Note

This method is available in PyGTK 2.10 and above.

The `get_description`() method returns the description of the printer.

### gtkunixprint.Printer.get_capabilities

        def get_capabilities()

Returns : | the printer's capabilities.

### Note

This method is available in PyGTK 2.12 and above.

The `get_capabilities`() method returns the printer's capabilities.

This is useful when you're using GtkPrintUnixDialog's manual-capabilities setting and need to know which settings the printer can handle and which you must handle yourself.

This will return 0 unless the printer's details are available, see gtkunixprint.Printer.has_details() and gtkunixprint.Printer.request_details().

### gtkunixprint.Printer.get_location

        def get_location()

Returns : | the location of the printer

### Note

This method is available in PyGTK 2.10 and above.

The `get_location`() method returns a description of the location of the printer.

### gtkunixprint.Printer.get_icon_name

        def get_icon_name()

Returns : | the icon name for the printer

### Note

This method is available in PyGTK 2.10 and above.

The `get_icon_name`() method returns the name of the icon to use for the printer.

### gtkunixprint.Printer.get_job_count

        def get_job_count()

Returns : | the number of jobs on the printer

### Note

This method is available in PyGTK 2.10 and above.

The `get_job_count`() method returns the number of jobs currently queued on the printer.

### gtkunixprint.Printer.has_details

        def has_details()

Returns : | `True` if printer details are available

### Note

This method is available in PyGTK 2.12 and above.

The `has_details`() method returns whether the printer details are available.

### gtkunixprint.Printer.request_details

        def request_details()

### Note

This method is available in PyGTK 2.12 and above.

The `request_details`() method requests the printer details. When the details are available, the GtkPrinter::details-acquired signal will be emitted on printer.

### gtkunixprint.Printer.is_accepting_jobs

        def is_accepting_jobs()

Returns : | `True` if printer is accepting jobs.

### Note

This method is available in PyGTK 2.14 and above.

The `is_accepting_jobs`() method returns whether the printer is accepting jobs

### gtkunixprint.Printer.is_active

        def is_active()

Returns : | `True` if the printer is active

### Note

This method is available in PyGTK 2.10 and above.

The `is_active`() method returns `True` if the printer is currently active (i.e. accepts new jobs).

### gtkunixprint.Printer.is_paused

        def is_paused()

Returns : | `True` if the printer is paused.

### Note

This method is available in PyGTK 2.14 and above.

The `is_paused`() method returns whether the printer is currently paused. A paused printer still accepts jobs, but it is not printing them.

### gtkunixprint.Printer.is_virtual

        def is_virtual()

Returns : | `True` if the printer is virtual

### Note

This method is available in PyGTK 2.10 and above.

The `is_virtual`() method returns `True` if the printer is virtual (i.e. does not represent actual printer hardware, but something like a CUPS class).

### gtkunixprint.Printer.is_default

        def is_default()

Returns : | `True` if the printer is the default

### Note

This method is available in PyGTK 2.10 and above.

The `is_default`() method returns `True` if the printer is the default printer.

### gtkunixprint.Printer.compare

        def compare(b)

`b` : | a `gtkunixprint.Printer`
Returns : | an integer indicating the result of the comparison of the `gtkunixprint.Printer` names.

### Note

This method is available in PyGTK 2.10 and above.

The compare() method compares the name of the printer to the name of the `gtkunixprint.Printer` specified by `b` and returns:

- a negative integer if the name of the printer is less than the name of `b`.

- a negative integer if the name of the printer is the same as the name of `b`.

- a positive integer if the name of the printer is greater than the name of `b`.

### gtkunixprint.Printer.accepts_pdf

        def accepts_pdf()

Returns : | `True` if the printer accepts PDF

### Note

This method is available in PyGTK 2.10 and above.

Returns whether the printer accepts input in PDF format.

### gtkunixprint.Printer.accepts_ps

        def accepts_ps()

Returns : | `True` if the printer accepts PostScript

### Note

This method is available in PyGTK 2.10 and above.

Returns whether the printer accepts input in PostScript format.

## Signals

### The "details-acquired" Signal

        def callback(printer, success, user_param1, ...)

`printer` : | the printer that received the signal
`success` : | `True` if the details were successfully acquired
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

### Note

This signal is available in GTK+ 2.10 and above.

The "details-acquired" signal is emitted in response to a request for detailed information about a printer from the print backend. The success parameter indicates if the information was actually obtained.

Prev | Up | Next
gtkunixprint.PageSetupUnixDialog | Home | gtkunixprint.PrintJob